<?php
/*	
	PAX Form submission example: This code is for testing purpposes only, and should not be used in a real environment.
*/

sleep( 1 );	//	Make the system wait a little before responding, to seem more 'realistic' in the local dev environment.

//	This JSON implementation should not be used in a real environment! We need PHP 5.20 for a proper JSON implementation.
function array2json( $arr ) {
	$myJson = "{";

	$count = 0;
	foreach( $arr as $k => $v ) {
		$myJson .= sprintf("'%s' : '%s'", addslashes($k), addslashes($v) );
		if( $count < sizeof( $arr ) -1 )$myJson .= ", ";
		$count += 1;
	}
	$myJson .= "}";			
	
	return $myJson;
}

// We would of course normally load the names from a database...
$names = array( 'andrew', 'bob', 'james', 'john', 'mikkel' );
$errMessage = "";

//	Simplistic state checking, for the ajax validation
if( isset($_POST['ajaxValidate']) && (bool)$_POST['ajaxValidate'] ) {
	if( $_REQUEST['ajaxMethod'] == 'logon' ) {
		$formName = $_REQUEST['formName'];
		$fieldName = $_REQUEST['fieldName'];
		$fieldValue = $_REQUEST['fieldValue'];

		$validField = true;

		//	Check for invalid charcters
		if( ereg('[^A-Za-z0-9]', $fieldValue) ) {
			$validField = false;
			$errMessage .= "You must only use alphanumeric characters.<br>";
		}

		foreach( $names as $k => $v ) {
			if( strtolower($v) == strtolower($fieldValue) ) {
				$errMessage .= "Logon <b>" . $fieldValue . "</b> has already been registered.<br>";
				$validField = false;
			}
		}
		
		if( strlen($fieldValue) < 3 ) {
			$validField = false;
			$errMessage .= "The length of the user name must be greater than 3.<br>";
		}
		
		$response = array();
		$response['formName'] = $formName;
		$response['fieldName'] = $fieldName;
		$response['validField'] = $validField;
		$response['error'] = $errMessage;
		
		print array2json( $response );
	}
	else {
		print sprintf("{'%s' : '%s'}", 'error', 'Invalid ajaxMethod specified: ' . $_REQUEST['ajaxMethod'] );
	}
}	
else if( isset($_GET['ajaxSubmit']) && (bool)$_GET['ajaxSubmit'] ) {
	//	form was submitted using ajax vis pax - provide a JSON response...
	$response = array();
	//	Normally we would validate the form again here, (serverside validation rules 
	//	would have to match client side, as javascript could be disabled), then save it.
	$response['isValid'] = true;
	print array2json( $response );
}
//Form was submitted using standard HTML Form submit
else {

	$fieldValue = $_REQUEST['logon'];

	foreach( $names as $k => $v ) {
		if( strtolower($v) == strtolower($fieldValue) ) {
			$errMessage .= "Logon <b>" . $fieldValue . "</b> has already been registered.<br/>";
			$validField = false;
		}
	}
	
	if( $_REQUEST['email'] == '' or ! $_REQUEST['email'] )$errMessage .= "Email address must be provided.<br/>";
	if( $_REQUEST['logon'] == '' or ! $_REQUEST['logon'] )$errMessage .= "Logon must be provided.<br/>";
	
	if( $errMessage <> '' ) {	
		echo "Error: " . $errMessage . "<br/>Please click 'back' in your browser now, and correct the value...";
	} else {
		echo "Thanks for signing up! <a href='../web_app_optimisation_2.htm#web_app_optimisation_example_form_1'> Click here to go back to the article.</a>";
	}
}
?>