pax.load.onloaded( function() {
	//	Setup a template for our table
	var myTemplate = "\
		<table style='border: 1px solid #ccc'>\
			<tr>\
				<th> Name </th> <th> Address </th> <th> Phone </th> <th> Outstanding </th>\
			</tr>\
			[: for( var i = 0; i < cust.length; i++ ) { :]\
				<tr class='r[:= i % 2 :][:= ( cust[i].owe > 1000 )? 'hi': '' :]'>\
					<td>[:= _caps( cust[i].name ) :]</td>\
					<td>[:= cust[i].add :]</td>\
					<td>[:= cust[i].ph :]</td>\
					<td align='right'>$[:= cust[i].owe :]</td>\
				</tr>\
			[: } :]\
			<tr>\
				<td style='background: #ccc;' colspan='3'>[:= cust.length :] customers with a total owing of: </td>\
				<td align='right' style='background: #ccc;'>\
				[: 	var total = 0;\
					for( var i = 0; i < cust.length; i++ )total += cust[i].owe;\
				:]\
				<b>$[:= _round( total, 2 ) :]</b>\
				</td>\
			</tr>\
		</table>\
	";

	var cust = [
        { name: "James Brownson",  add: "123 Some st. Sydney NSW 2000",           ph: "02 9555 1672", owe:  100.25 },
        { name: "Timothy Mend",    add: "27 Flack road, Toowong QLD 4066",        ph: "07 4255 5729", owe:  245.95 },
        { name: "Alexis Smith",    add: "176 York street, Toowong QLD 4066",      ph: "07 4355 5827", owe:  132.76 },
        { name: "ben Mullson",     add: "12 / 68 Newark Rd, Sydney NSW 2000",     ph: "02 9555 2198", owe: 1981.19 },
        { name: "Donald Rumduck",  add: "1600 Nottingham pde, Sydney NSW 2000",   ph: "02 9555 1782", owe: 2095.11 },
        { name: "maxine Smick",    add: "392 Flinders st. Melbourne VIC 3000",    ph: "03 9555 2091", owe: 1012.78 },
        { name: "matthew Spade",   add: "Suite 204, 78 Pitt st. Sydney NSW 2000", ph: "02 9255 5690", owe: 2128.98 },
        { name: "Simon Partridge", add: "29 Liverpool st. Sydney NSW 2000",       ph: "02 9555 2256", owe:   12.84 },
        { name: "Nick Hogan",      add: "17/11 Lilyfield Road, Hornsby NSW 2187", ph: "02 9555 1298", owe:  412.84 }
	];

	pax.template.render( myTemplate, {
		value: { cust: cust }, 
		target: $("example2_output")
	} );
} );