pax.load.onloaded( function() {
    pax.widget.datePick.init( $('dob'), { dateFormat: 'd-m-Y', validate: true } );
	pax.validate.initValidation( 'valForm', {
		'email': { mask: 'email' },
		'name': { mask: [
			{ mask: 'alpha' },
			{ mask: 'notEmpty' },
			{ mask: 'len', minLen: 2 }
		] },
	    'login': {
	        mask: [
	            { mask: 'len', minLen: 3 },
	            { mask: 'alphaNumeric', 'whiteSpace': false },
	            { mask: 'ajaxValidate', method: 'login' },
	            { mask: 'notEmpty' },
	        ],
	        hint: 'Login must be at least 3 chars, no spaces, and is validated via the server to ensure it is available.'
	    }
	} );
} );