pax.widget.mybutton = pax.widget.mybutton || {};

pax.widget.mybutton.getModel = function( args ) {
	return pax.defaultArgs( { id: '',
img: '',
width: '70px',
height: '20px',
content: '',
showChrome: true,
inline: false,
baseClass: '',
func: false
		 }, args );
};
pax.widget.mybutton.view = pax.widget.mybutton.view || {};
pax.widget.mybutton.view.getTemplate = function() {
	var myTemplate = '\
	<table id="[:= id :]" class="[:= (showChrome)? "": "pButtonNoChrome" :] [:= baseClass :] pButton-wrap pButton" cellspacing="0" cellpadding="0" \
	border="0" width="[:= width :]" height="[:= height :]" style="width:[:= width :]; height:[:= height :];[:= (inline)? "display: inline": "" :]">\
		<tr>\
			[: if(showChrome) { :]\
			<td class="pButton-left"><span></span></td>\
			[: } :]\
			<td class="pButton-center">\
				<em><button type="button" class="pButton-text[:= (pax.isIe)? " paxisIe": "" :]" style="width:[:= width :]; height:[:= height :]">[:= content :]</button></em>\
			</td>\
			[: if(showChrome) { :]\
			<td class="pButton-right"><span></span></td>\
			[: } :]\
		</tr>\
	</table>\
';

return myTemplate;
		};

pax.widget.mybutton.init = function( target, args ) {
	var model = pax.widget.mybutton.getModel( args );
var myButton = pax.widget.init( {
	target: target,
	model: model,
	template: pax.widget.mybutton.view.getTemplate()
} );

myButton.render();

myButton.bindClassNames( target, {
	'pButton-wrap': {
		mouseover: function(ele) { 
			pax.util.addClassName( this, ( model.baseClass )? model.baseClass + '_pButtonHover': 'pButtonHover' ); 
		},
		mouseout: function(ele)	{ 
			pax.util.removeClassName( this, ( model.baseClass )? model.baseClass + '_pButtonHover': 'pButtonHover' );
			pax.util.removeClassName( this, ( model.baseClass )? model.baseClass + '_pButtonClick': 'pButtonClick' );
		},
		mousedown: function(ele) {
			pax.util.addClassName( this, ( model.baseClass )? model.baseClass + '_pButtonClick': 'pButtonClick' ); 
		},
		mouseup: function(ele) {
			pax.util.removeClassName( this, ( model.baseClass )? model.baseClass + '_pButtonClick': 'pButtonClick' ); 
		},
		click: model.func
	}
} );

return myButton;};
